Bug 857587 - [abrt] wallpapoz-0.6.2-1.fc17: wallpapoz_system.py:113:finding_desktop_environment:IndexError: list index out of range
[abrt] wallpapoz-0.6.2-1.fc17: wallpapoz_system.py:113:finding_desktop_enviro...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wallpapoz (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:152928bed6c5c4ea28893d8f817...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 21:57 EDT by Андрей
Modified: 2012-10-01 20:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-01 20:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (345 bytes, text/plain)
2012-09-14 21:57 EDT, Андрей
no flags Details

  None (edit)
Description Андрей 2012-09-14 21:57:46 EDT
Version-Release number of selected component:
wallpapoz-0.6.2-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        python /bin/wallpapoz
kernel:         3.3.4-5.fc17.i686

backtrace:
:wallpapoz_system.py:113:finding_desktop_environment:IndexError: list index out of range
:
:Traceback (most recent call last):
:  File "/bin/wallpapoz", line 1365, in <module>
:    wallpapozgui = Wallpapoz()
:  File "/bin/wallpapoz", line 75, in __init__
:    self.wallpapozxml = XMLProcessing()
:  File "../share/wallpapoz/lib/xml_processing.py", line 56, in __init__
:    wallpapoz_system = WallpapozSystem()
:  File "../share/wallpapoz/lib/wallpapoz_system.py", line 43, in __init__
:    self.finding_desktop_environment()
:  File "../share/wallpapoz/lib/wallpapoz_system.py", line 113, in finding_desktop_environment
:    version = result[0].split()[1].split('.')[0]
:IndexError: list index out of range
:
:Local variables in innermost frame:
:raw_wm_name: '_NET_WM_NAME(UTF8_STRING) = "Openbox"\n'
:self: <wallpapoz_system.WallpapozSystem instance at 0x8f0f8ec>
:window_id: '0xe0006b'
:result: []
:output: <open file 'gnome-session --version', mode 'r' at 0x8f077b0>
:raw_window_id: '_NET_SUPPORTING_WM_CHECK(WINDOW): window id # 0xe0006b\n'
:wm_name: 'Openbox'
Comment 1 Андрей 2012-09-14 21:57:49 EDT
Created attachment 613028 [details]
File: core_backtrace
Comment 2 Mamoru TASAKA 2012-09-17 20:15:12 EDT
Hello:

* Would you write how this issue is reproducible? Or would you have
  some idea about when this issue occurred?
* What desktop environment are you using?
* Would you attach ~/.wallpapoz/wallpapoz.xml ?
Comment 3 Mamoru TASAKA 2012-09-18 00:04:01 EDT
Anyway, wallpapoz-0.6.2-2.fc17 should fix this issue. Please try, thank you.
Comment 4 Fedora Update System 2012-09-18 00:07:16 EDT
wallpapoz-0.6.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wallpapoz-0.6.2-2.fc18
Comment 5 Fedora Update System 2012-09-18 00:44:04 EDT
wallpapoz-0.6.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wallpapoz-0.6.2-2.fc17
Comment 6 Fedora Update System 2012-09-18 23:13:22 EDT
Package wallpapoz-0.6.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wallpapoz-0.6.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14367/wallpapoz-0.6.2-2.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-23 23:22:49 EDT
wallpapoz-0.6.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.